﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Janus.Core.Models.Results
{
    /// <summary>
    /// This is a operation base result class.
    /// </summary>
    public class BaseResult
    {
        /// <summary>
        /// Operation result as bool
        /// </summary>
        public bool OperationSuccessful { get; set; }

        /// <summary>
        /// List of textual representations of the errors
        /// </summary>
        public IList<string> Errors { get; set; } = new List<string>();
    }
}
