﻿using Janus.Core.Models.Results;
using System;
using System.Collections.Generic;
using System.Text;

namespace Janus.Core.Models.Results
{
    /// <summary>
    /// This class is a container for the exporting result
    /// </summary>
    public class ExportResult : BaseResult
    {
        /// <summary>
        /// Flag, if the result was saved to the file
        /// </summary>
        public bool ExportedToFile { get; set; }

        /// <summary>
        /// Path to the exported file
        /// </summary>
        public string ExportPath { get; set; }

        /// <summary>
        /// Serialized data in json format for internal usage
        /// </summary>
        public string ExportData { get; set; }

    }
}
