﻿using Janus.Core.Models.Results;
using System;
using System.Collections.Generic;
using System.Text;

namespace Janus.Core.Models.Results
{
    /// <summary>
    /// This is container for the analysis result
    /// </summary>
    public class AnalysisResult : BaseResult
    {
        /// <summary>
        /// Text representation of the analysis result for the user
        /// </summary>
        public string ResultText { get; set; }

        /// <summary>
        /// List of analysis result dependencies
        /// </summary>
        public IList<DependencyItem> Dependencies { get; set; }
    }
}
